%define		module	pymetar
Summary:	Module that provides access to NOAA's METAR weather reports
Summary(pl.UTF-8):	Moduł do pobierania danych pogodowych METAR
Name:		python-%{module}
Version:	0.18
Release:	2
License:	GPL
Group:		Development/Languages/Python
Source0:	http://www.schwarzvogel.de/pkgs/%{module}-%{version}.tar.gz
# Source0-md5:	21b21425b89c5759c5c234ef713dc9b4
URL:		http://www.schwarzvogel.de/software-pymetar.shtml
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The National Oceanic and Atmospheric Administration (NOAA,
www.noaa.gov) provides easy access to the weather reports generated by
a large number of weather stations (mostly at airports) worldwide.
Those reports are called METAR reports and are delivered as plain text
files.

While this is convenient if you just want to quickly look up the data,
there's some effort involved in parsing all of this into a format that
is digestible by a program. Plus, you have to remember the base URL of
the reports and fetch the file.

The library provides a large number of methods to fetch the parsed
information in a plethora of formats. Those functions are described in
the file librarydoc.txt which was in turn generated using PyDoc.

%description -l pl.UTF-8
NOAA (Narodowa Administracja Oceaniczna i Atmosferyczna, www.noaa.gov)
udostępnia raporty pogodowe generowane przez wiele stacji pogodowych z
całego świata. Raporty te nazywane są raportami METAR i udostępniane w
postaci plików tekstowych.

Jest to wygodne jeśli chce się szybko przejrzeć dane. Jednak
przetwarzanie ich może być kłopotliwe. Dodatkowo, trzeba pamiętać
adres pliku z danej stacji pogodowej.

Biblioteka ta udostępnia wiele metod, które udostępniają dane
przetworzone z raportów METAR.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{module}.py
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}.py
# we're already packing those in %doc
rm -fr $RPM_BUILD_ROOT%{_docdir}/%{module}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README THANKS librarydoc.txt
%attr(755,root,root) %{_bindir}/pymetar
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/*.egg-info
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pymetar.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d86be87
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f364762
- automatic change: use py_build/py_install macros

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> ffab80a
- up to 0.18

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 70558b9
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 90eac12
- release 2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> d615ea9
- up to 0.14
- cleaning
- %files

* Fri Nov 21 2008 Karol Krenski <charles@pld-linux.org> fbb759e
- added egg-info
- BR: python 2.5 (for .egg-info), rpm-pythonprov

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a894ab2
- release 2

* Mon Sep 01 2008 Paweł Gołaszewski <blues@pld-linux.org> c2e335c
- 0.13

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b9f31dc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b4d3a62
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> f569969
- mass commit: remove obsolete BR: rpm-pythonprov

* Sat Nov 27 2004 saq <saq@pld-linux.org> d449427
- massive attack: added missing python-devel epoch do BR

* Wed Nov 24 2004 leafnode <leafnode@pld-linux.org> 9cf3bae
- updated to 0.12

* Wed Nov 24 2004 leafnode <leafnode@pld-linux.org> 8bb8122
- use py_sitescriptdir instead of py_sitedir

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> ab51cd4
- spaces->tabs
- formatting

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 0c82677
- removed %%include /usr/lib/rpm/macros.python

* Mon Jul 26 2004 Marcin Gajda <m.gajda@functional-software.com> e6bc783
- massive attack: s/CLFAGS/CFLAGS/

* Wed May 26 2004 ankry <ankry@pld-linux.org> 74664d2
- capitalization, tabs, other cosmetics

* Sun Feb 01 2004 leafnode <leafnode@pld-linux.org> 8f6b9e4
- autoupdate to 0.8

